// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_VariableSet.h"
#include "K2Node_VariableSet.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_VariableSet::SCW_UK2Node_VariableSet(UK2Node_VariableSet* InK2Node_VariableSet) : SCW_UK2Node_Variable(InK2Node_VariableSet), K2Node_VariableSet(InK2Node_VariableSet)
{

}

UK2Node_VariableSet* SCW_UK2Node_VariableSet::ToUK2Node_VariableSet() const
{
	return K2Node_VariableSet;
}

ISCW_UK2Node_VariableSetPtr SCW_UK2Node_VariableSet::ToUK2Node_VariableSetPtr()
{
	return GetSharedThisAs<SCW_UK2Node_VariableSet>();
}

ISCW_UK2Node_VariableSetConstPtr SCW_UK2Node_VariableSet::ToUK2Node_VariableSetPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_VariableSet>();
}